org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree

## Class MirroredTreeContentMergeViewerContentProvider

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.TreeContentMergeViewerContentProvider
  - - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.MirroredTreeContentMergeViewerContentProvider

All Implemented Interfaces:
  org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider, org.eclipse.jface.viewers.IContentProvider

    public class MirroredTreeContentMergeViewerContentProvider
    extends TreeContentMergeViewerContentProvider

Mirrored implementation of `TreeContentMergeViewerContentProvider` that swaps the left and right side.

### Constructor Summary

Constructors
Constructor and Description
`MirroredTreeContentMergeViewerContentProvider(EMFCompareConfiguration cc, TreeContentMergeViewerContentProvider delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getAncestorContent(Object element)`
`org.eclipse.swt.graphics.Image` `getAncestorImage(Object element)`
`String` `getAncestorLabel(Object element)`
`Object` `getLeftContent(Object element)`
`org.eclipse.swt.graphics.Image` `getLeftImage(Object element)`
`String` `getLeftLabel(Object element)`
`Object` `getRightContent(Object element)`
`org.eclipse.swt.graphics.Image` `getRightImage(Object element)`
`String` `getRightLabel(Object element)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer v, Object o1, Object o2)`
`boolean` `isLeftEditable(Object element)`
`boolean` `isRightEditable(Object element)`
`void` `saveLeftContent(Object element, byte[] bytes)`
`void` `saveRightContent(Object element, byte[] bytes)`
`boolean` `showAncestor(Object element)`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.tree.TreeContentMergeViewerContentProvider

`dispose`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MirroredTreeContentMergeViewerContentProvider

    public MirroredTreeContentMergeViewerContentProvider(EMFCompareConfiguration cc,
                                                         TreeContentMergeViewerContentProvider delegate)

### Method Detail

#### getLeftLabel

    public String getLeftLabel(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `getLeftLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getLeftLabel` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.getLeftLabel(java.lang.Object)`

#### getLeftImage

    public org.eclipse.swt.graphics.Image getLeftImage(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `getLeftImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getLeftImage` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.getLeftImage(java.lang.Object)`

#### getLeftContent

    public Object getLeftContent(Object element)

Specified by:
  `getLeftContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getLeftContent` in class `TreeContentMergeViewerContentProvider`

#### isLeftEditable

    public boolean isLeftEditable(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `isLeftEditable` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `isLeftEditable` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.isLeftEditable(java.lang.Object)`

#### saveLeftContent

    public void saveLeftContent(Object element,
                                byte[] bytes)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `saveLeftContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `saveLeftContent` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.saveLeftContent(java.lang.Object, byte[])`

#### getRightLabel

    public String getRightLabel(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `getRightLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getRightLabel` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.getRightLabel(java.lang.Object)`

#### getRightImage

    public org.eclipse.swt.graphics.Image getRightImage(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `getRightImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getRightImage` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.getRightImage(java.lang.Object)`

#### getRightContent

    public Object getRightContent(Object element)

Specified by:
  `getRightContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getRightContent` in class `TreeContentMergeViewerContentProvider`

#### isRightEditable

    public boolean isRightEditable(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `isRightEditable` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `isRightEditable` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.isRightEditable(java.lang.Object)`

#### saveRightContent

    public void saveRightContent(Object element,
                                 byte[] bytes)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `saveRightContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `saveRightContent` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.saveRightContent(java.lang.Object, byte[])`

#### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer v,
                             Object o1,
                             Object o2)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
Overrides:
  `inputChanged` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IContentProvider.inputChanged(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`

#### getAncestorLabel

    public String getAncestorLabel(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `getAncestorLabel` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getAncestorLabel` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.getAncestorLabel(java.lang.Object)`

#### getAncestorImage

    public org.eclipse.swt.graphics.Image getAncestorImage(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `getAncestorImage` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getAncestorImage` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.getAncestorImage(java.lang.Object)`

#### getAncestorContent

    public Object getAncestorContent(Object element)

Specified by:
  `getAncestorContent` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `getAncestorContent` in class `TreeContentMergeViewerContentProvider`

#### showAncestor

    public boolean showAncestor(Object element)

Description copied from class: `TreeContentMergeViewerContentProvider`

Specified by:
  `showAncestor` in interface `org.eclipse.compare.contentmergeviewer.IMergeViewerContentProvider`
Overrides:
  `showAncestor` in class `TreeContentMergeViewerContentProvider`
See Also:
  `IMergeViewerContentProvider.showAncestor(java.lang.Object)`